@echo off

read 1e6e2070 > hwstrap.reg
memsize hwstrap.reg

IF ERRORLEVEL 2 goto MSZ256
IF ERRORLEVEL 1 goto MSZ128
goto ERR

:MSZ128
echo Update firmware for BMC with 128M
echo Update Root File System
socflash cs=0 if=..\..\..\fw\368.bin offset=0x6C0000 count=0x1400000 skip=0x6C0000

echo Update Kernel
socflash cs=0 if=..\..\..\fw\368.bin offset=0x2C0000 count=0x300000 skip=0x2C0000

echo Update Bootloader
socflash cs=0 if=..\..\..\fw\368.bin count=0xC0000
goto WAIT

:MSZ256
echo Update Firmware for BMC with 256M
echo Update Root File System
socflash cs=0 if=..\..\..\fw\768.bin offset=0x6C0000 count=0x1400000 skip=0x6C0000

echo Update Kernel
socflash cs=0 if=..\..\..\fw\768.bin offset=0x2C0000 count=0x300000 skip=0x2C0000

echo Update Bootloader
socflash cs=0 if=..\..\..\fw\768.bin count=0xC0000
goto WAIT

:ERR
echo ERROR! The memory size of BMC is UNDEFINED.

:WAIT
echo Wait 90 seconds for BMC Ready...

TYPE NUL | CHOICE /C:YN /N /T:Y,30 > NUL
TYPE NUL | CHOICE /C:YN /N /T:Y,30 > NUL
TYPE NUL | CHOICE /C:YN /N /T:Y,30 > NUL

:END

